WEST Time Now
WEST is the abbreviation of Western European Summer Time. Time zone offset of WEST is UTC+01. Western European Summer Time is 1 hour ahead from the UTC universal time. WEST current date is 1st Sunday November 2026. Current time in WEST (WEST).
WEST Time
01:01:30
1 November 2026 Sunday
WEST is the abbreviation of Western European Summer Time. Western European Summer Time is 1 hour ahead from the UTC universal time, and it is exactly the same as BST or IST. It is used in summer in the United Kingdom and the Crown Dependencies, as well as in such countries as Ireland, Portugal, Morocco, and the neighboring islands.
What time is it in Western European Summer Time now? It is 01:01:30 right now.
Western European Summer Time Date and Time Now in Various Formats
| Date Time Format | WEST Date Time Now |
|---|---|
| UTC | 2026-11-01T01:01:30Z |
| ISO-8601 | 2026-11-01T01:01:30+0000 |
| RFC 2822 | Sun, 01 Nov 2026 01:01:30 +0000 |
| RFC 850 | Sunday, 01-Nov-26 01:01:30 UTC |
| RFC 1036 | Sun, 01 Nov 26 01:01:30 +0000 |
| RFC 1123 | Sun, 01 Nov 2026 01:01:30 +0000 |
| RFC 822 | Sun, 01 Nov 26 01:01:30 +0000 |
| RFC 3339 | 2026-11-01T01:01:30+00:00 |
| ATOM | 2026-11-01T01:01:30+00:00 |
| COOKIE | Sunday, 01-Nov-2026 01:01:30 UTC |
| RSS | Sun, 01 Nov 2026 01:01:30 +0000 |
| W3C | 2026-11-01T01:01:30+00:00 |
| Unix Epoch | 1793494890 |
| YYYY-DD-MM HH:MM:SS | 2026-01-11 01:01:30 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-01-11 01:01:30 AM |
| DD-MM-YYYY HH:MM:SS | 01-11-2026 01:01:30 |
| MM-DD-YYYY HH:MM:SS | 11-01-2026 01:01:30 |